Package: groovy.util

## [Java] Class ScriptException

- groovy.util.ScriptException

- Authors:
    sam

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ScriptException ()`
    `ScriptException (String message)` @param message
    `ScriptException (String message, Throwable cause)` @param message
    `ScriptException (Throwable cause)` @param cause

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`
    `class Throwable` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public ScriptException()

    - #### public ScriptException(String message)

      Parameters:
        message

    - #### public ScriptException(String message, Throwable cause)

      Parameters:
        message
        cause

    - #### public ScriptException(Throwable cause)

      Parameters:
        cause